%{?nodejs_find_provides_and_requires}

%global packagename iferr
%global enable_tests 1

Name:		nodejs-iferr
Version:	0.1.5
Release:	1%{?dist}
Summary:	Higher-order functions for easier error handling

License:	MIT
URL:		https://github.com/shesek/iferr
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	coffee-script
BuildRequires:	mocha
%endif

%description
Higher-order functions for easier error handling


%prep
%setup -q -n package

# remove compiled script
rm index.js

%build
# compile index.js from coffee-script
%{_bindir}/coffee -c index.coffee

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%{_bindir}/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Wed Dec 16 2015 Jared Smith <jsmith@fedoraproject.org> - 0.1.5-1
- Initial packaging
